package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.common.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author: cy
 * @Date: 2022/5/19
 */
@ApiModel
public class CourseGroupPracticeVo extends BaseEntity {
    @ApiModelProperty("陪练课组id")
    private Long groupId;
    @ApiModelProperty("声部id")
    private Long subjectId;
    @ApiModelProperty("声部名称")
    private String subjectName;
    @ApiModelProperty("课时总数")
    private Integer courseNum;
    @ApiModelProperty("已完成课时数")
    private Integer completeCount;
    @ApiModelProperty("老师id")
    private Long teacherId;
    @ApiModelProperty("老师姓名")
    private String teacherName;
    @ApiModelProperty("老师真实姓名")
    private String teacherRealName;
    @ApiModelProperty("学生id")
    private Long studentId;
    @ApiModelProperty("学生姓名")
    private String studentName;
    @ApiModelProperty("学生真实姓名")
    private String studentRealName;
    @ApiModelProperty("课程组状态 ING进行中 COMPLETE已完成 DISSOLVE-未成课(解散课程) CANCEL已取消-未开始报名前可取消 APPLY报名中 NOT_SALE未开售")
    private String status;
    @ApiModelProperty("第一节课开始时间")
    private String startTime;

    public Long getGroupId() {
        return groupId;
    }

    public void setGroupId(Long groupId) {
        this.groupId = groupId;
    }

    public Long getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Long subjectId) {
        this.subjectId = subjectId;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public Integer getCourseNum() {
        return courseNum;
    }

    public void setCourseNum(Integer courseNum) {
        this.courseNum = courseNum;
    }

    public Integer getCompleteCount() {
        return completeCount;
    }

    public void setCompleteCount(Integer completeCount) {
        this.completeCount = completeCount;
    }

    public Long getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Long teacherId) {
        this.teacherId = teacherId;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getTeacherRealName() {
        return teacherRealName;
    }

    public void setTeacherRealName(String teacherRealName) {
        this.teacherRealName = teacherRealName;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentRealName() {
        return studentRealName;
    }

    public void setStudentRealName(String studentRealName) {
        this.studentRealName = studentRealName;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }
}
